Bug 88592 - VIEWING: Green display bug;picture with zero width [xlsx]
Summary: VIEWING: Green display bug;picture with zero width [xlsx]
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2015-01-19 16:49 UTC by Estan
Modified: 2019-05-14 02:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
problem file (24.58 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-01-19 16:49 UTC, Estan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Estan 2015-01-19 16:49:46 UTC
Created attachment 112486 [details]
problem file

There is an image into the spreadsheet, the label of "Agriculture
Biologique", which isn't well decompressed by LO: http://i.imgur.com/x7KafJZ.png
Comment 1 Estan 2015-01-19 16:52:04 UTC
The problem is still here with 4.3.5 and 4.4.0.2 versions.
Comment 2 V Stuart Foote 2015-01-19 19:09:27 UTC
Comment on attachment 112486 [details]
problem file

correct mime type
Comment 3 raal 2015-01-19 22:19:51 UTC
With excel 2010 I see no image. With LO 4.5.0.0.alpha0+ I see the same broken file as in screenshot.Can you provide steps how to reproduce this faulty file?
Comment 4 Estan 2015-01-19 22:43:38 UTC
Unfortunately I didn't produce this file, I had to fill it (and can't possibly ask its author to modify or explain it), sorry.
Comment 5 MM 2015-01-20 00:14:40 UTC
Well you can show the image correctly if you select 'edit with external tool' or copy the image and paste it to draw, paint or any other image program. So the image *is* actually there. Only not correctly shown in LO / Excel.
Comment 6 Estan 2015-01-20 00:18:04 UTC
That is that "Only not correctly shown" which is the reported bug actually :-)
Comment 7 MM 2015-01-20 00:35:21 UTC
Well yes and no. You said it didn't decompress well. Which isn't really the case I think. The graphics are there, but they aren't the correct size. Looks they are stretched (a lot). If you look at the 'position and size' you'll see that the image is shown as width 0.0 points and height 104.2 points. If you set it to (for example) w = 104, h = 104 it looks a lot better. Only the image got flipped. But that's another problem.
Comment 8 raal 2015-01-20 07:49:32 UTC
File is created in excel 14.0300, excel 2010. Picture is in tehe file, but with zero width

Steps to reproduce in excel 2010:
- insert picture
- set width = 0 (picture disappear)
- save
- open in LO

Actual results:
picture is showed garbled

Expected results
picture not appear as in excel.

I can reproduce with excel2010, LO 4.3.5.
Comment 9 MM 2015-01-20 19:39:20 UTC
Well if it's allowed in excel to set a width of 0 then it's not a bug of LO. LO imports the file correctly then, maybe even better than excel does (showing nothing).
Comment 10 raal 2015-01-20 21:22:48 UTC
(In reply to MM from comment #9)
> Well if it's allowed in excel to set a width of 0 then it's not a bug of LO.
> LO imports the file correctly then, maybe even better than excel does
> (showing nothing).

no, excel showing nothing. LO showing garbled image. LO should showing nothing.
Comment 11 MM 2015-01-22 20:22:49 UTC
(In reply to raal from comment #10)
> (In reply to MM from comment #9)
> > Well if it's allowed in excel to set a width of 0 then it's not a bug of LO.
> > LO imports the file correctly then, maybe even better than excel does
> > (showing nothing).
> LO should showing nothing.

That's fine, but wouldn't it be even better if you'd get an info window saying LO found some images that should be fixed ?! At least it would save some reports about missing images.
Comment 12 raal 2015-01-23 13:53:16 UTC
(In reply to MM from comment #11)
> That's fine, but wouldn't it be even better if you'd get an info window
> saying LO found some images that should be fixed ?! At least it would save
> some reports about missing images.

Should be as in .ods format with 0 width pictures - red word "Picture.." which disappears after scrolling.
Comment 13 QA Administrators 2016-02-21 08:38:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21
Comment 14 QA Administrators 2019-05-14 02:54:24 UTC
Dear Estan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug